let operData = window.OperData;

var pkgbox = {
    // 插入品规
    insertQrBrand(data){
        return operData && operData.insertQrBrand(data);
    },
    // 查询所有缓存品规数量
    queryBrandAll(){
        return operData && operData.queryBrandAll();
    },
    // 缓存品规校验方法
    qrCodeBrandUtil(data){
        return operData && operData.qrCodeBrandUtil(data);
    },
    // 插入烟码关系
    insertQrCodeInsRelationPo(data){
        return operData && operData.insertQrCodeInsRelationPo(data);
    },
    // 插入班次班组
    insertShiftDetailClassGroup(data){
        return operData && operData.insertShiftDetailClassGroup(data);
    },
    // 查询班次班组
    queryShiftClassByType(data){
        return operData && operData.queryShiftClassByType(data);
    },
    // 查询班次班组数量
    queryShiftClassCount(){
        return operData && operData.queryShiftClassCount();
    },
    // 查询本地关联数据
    queryQrCodeInsRelations(){
        return operData && operData.queryQrCodeInsRelations();
    },
    // 根据删除本地关联记录
    delQrCodeInsByCode(data){
        return operData && operData.delQrCodeInsByCode(data);
    },
    // 插入本地操作记录
    insertQrCodeDisassociationPo(data){
        return operData && operData.insertQrCodeDisassociationPo(data);
    },
    // 查询本地操作记录
    queryQrCodeInsRelationPo(data){
        return operData && operData.queryQrCodeInsRelationPo(data);
    }
}

export default pkgbox
